Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface Feature

All Superinterfaces:
  GraphicalM4Object, M4Data, M4Object, ParameterObject

All Known Subinterfaces:
  BaseAttribute, MultiColumnFeature

All Known Implementing Classes:
  BaseAttribute, Feature, MultiColumnFeature

public interface Feature
extends ParameterObject

MiningMart Feature (subclasses BaseAttribute and MultiColumnFeature)

Version:
  $Id: Feature.java,v 1.3 2006/04/11 14:10:12 euler Exp $
Author:
  Daniel Hakenjos, Timm Euler

Method Summary
`Feature` | `copy(Concept c)` Create a copy of this Feature and attach it to the given Concept.
`boolean` | `correspondsTo(Feature f)` This method indicates if an input feature corresponds to an output feature, or if two input features correspond, e.g.
`Concept` | `getConcept()`
`Parameter` | `getParameterWhereThisIsOutputFeature()` Return the Parameter object that represents this Feature as an output parameter (of a certain step).
`boolean` | `isDeselected()`
`boolean` | `isRelationallyValid()` This method returns information about the validity of the object.
`void` | `removeLinkToColumns()` Removes the link between this feature and all of its columns.
`void` | `setConcept(Concept c)` Set the concept this BaseAttribute belongs to.

Methods inherited from interface edu.udo.cs.miningmart.m4.ParameterObject
`addParameterReference, getParameterReferences, removeParameterReference`

Methods inherited from interface edu.udo.cs.miningmart.m4.GraphicalM4Object
`getPoint, setPoint`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Data
`deleteSoon, getDocumentation, getValidName, isDirty, isWaitingForDelete, setDocumentation`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, print, putM4ObjectToCache, replaceSpacesInName, setId, setName`

Method Detail

### correspondsTo

    public boolean correspondsTo(Feature f)

  This method indicates if an input feature corresponds to an output feature, or if two input features correspond, e.g. for UNION operations. Additionally to comparing names the types (BaseAttribute or MultiColumnFeature) have to be equal.

  Parameters:
    `f` - the feature to compare this one to
  Returns:
    iff the features are corresponding.

### getConcept

    public Concept getConcept()
                       throws M4Exception

  Throws:
    `M4Exception`

### setConcept

    public void setConcept(Concept c)
                    throws M4Exception

  Set the concept this BaseAttribute belongs to.

  Parameters:
    `c` - the `Concept`
  Throws:
    `M4Exception`

### copy

    public Feature copy(Concept c)
                 throws M4Exception

  Create a copy of this Feature and attach it to the given Concept. The relational M4 level is not copied.

  Returns:
    a copy of this Feature
  Throws:
    `M4CompilerError`
    `M4Exception`

### isDeselected

    public boolean isDeselected()
                         throws M4CompilerError

  Returns:
    `true` iff this `Feature` has been "deselected" by a `FeatureSelection` operator or has not been connected by the user.
  Throws:
    `M4CompilerError`

### getParameterWhereThisIsOutputFeature

    public Parameter getParameterWhereThisIsOutputFeature()
                                                   throws M4Exception

  Return the Parameter object that represents this Feature as an output parameter (of a certain step).

  Returns:
    a Parameter object
  Throws:
    `M4Exception`

### isRelationallyValid

    public boolean isRelationallyValid()
                                throws M4Exception

  This method returns information about the validity of the object. The returned value denotes if the object is valid or not.

  Throws:
    `M4Exception`

### removeLinkToColumns

    public void removeLinkToColumns()
                             throws M4Exception

  Removes the link between this feature and all of its columns. This is needed to disconnect the conceptual and relational level.

  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005